declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE GP_PRICING_ESPECIFICO (
			PRICINGESPECIFICO_ID NUMBER(15,0) NOT NULL ENABLE, 
			NOMBPRICING VARCHAR2(60 BYTE), 
			TIPOPTOVTA_ID NUMBER(2,0), 
			CATEGORIA_ID NUMBER(7,0), 
			MARCA_ID NUMBER(3,0), 
			ORIGEN_ID NUMBER(7,0), 
			DESTINO_ID NUMBER(7,0), 
			FECHORINICIO DATE, 
			FECHORFIN DATE, 
			CLASESERVICIO_ID NUMBER(2,0), 
			MONEDA_ID NUMBER(7,0), 
			TARIFA NUMBER(7,2), 
			TARIFAREDABIERTO NUMBER(7,2), 
			ACTIVO NUMBER(1,0), 
			FECMODIF DATE, 
			USUARIO_ID NUMBER(7,0), 
			CORRIDA_ID NUMBER(7,0), 
			EXIBEVENDA NUMBER(1,0), 
			CONSTRAINT PK__PRICING PRIMARY KEY (PRICINGESPECIFICO_ID),
			CONSTRAINT PRICING_ESP_CORRIDA_FK FOREIGN KEY(CORRIDA_ID) REFERENCES CORRIDA_CTRL (CORRIDA_ID),
			CONSTRAINT PRICING_ESP_CLASSE_FK FOREIGN KEY(CLASESERVICIO_ID) REFERENCES CLASE_SERVICIO (CLASESERVICIO_ID),			
			CONSTRAINT PRICING_ESP_DESTINO_FK FOREIGN KEY(DESTINO_ID) REFERENCES PARADA	(PARADA_ID),
			CONSTRAINT PRICING_ESP_ORIGEM_FK FOREIGN KEY(ORIGEN_ID) REFERENCES PARADA	(PARADA_ID),
			CONSTRAINT PRICING_ESP_CATEGORIA_FK FOREIGN KEY(CATEGORIA_ID) REFERENCES CATEGORIA	(CATEGORIA_ID),
			CONSTRAINT PRICING_ESP_TIPO_PTOVTA_FK FOREIGN KEY(TIPOPTOVTA_ID) REFERENCES TIPO_PTOVTA	(TIPOPTOVTA_ID),
			CONSTRAINT PRICING_ESP_MONEDA_FK FOREIGN KEY(MONEDA_ID) REFERENCES MONEDA (MONEDA_ID),
			CONSTRAINT PRICING_ESP_MARCA_FK FOREIGN KEY(MARCA_ID) REFERENCES MARCA (MARCA_ID)
		)';
  exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_ESPECIFICO_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE GP_PRICING_ESP_CATEGORIA(
						PRICINGESPECIFICO_CATEGORIAID NUMBER(7,0),
						PRICINGESPECIFICO_ID NUMBER (7,0),
						CATEGORIA_ID NUMBER (7,0),
						FECMODIF DATE,
						USUARIO_ID NUMBER (7,0),
						ACTIVO NUMBER (1,0),
						CONSTRAINT GP_PRICING_ESP_CATEGORIA_PK PRIMARY KEY (PRICINGESPECIFICO_CATEGORIAID),
						CONSTRAINT GP_PRICING_CAT_ESP_001_FK FOREIGN KEY(PRICINGESPECIFICO_ID) REFERENCES GP_PRICING_ESPECIFICO (PRICINGESPECIFICO_ID),
						CONSTRAINT GP_PRICING_CAT_ESP_002_FK FOREIGN KEY(CATEGORIA_ID) REFERENCES CATEGORIA (CATEGORIA_ID)
						)';
  exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_ESP_CATEGORIA_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE GP_PRICING_ESPEC_OCUPACION(	
		PRICINGESPECIFICOOCUPACION_ID NUMBER(7,0) NOT NULL ENABLE, 
		PRICINGESPECIFICO_ID NUMBER(7,0), 
		OCUPACIONINICIAL NUMBER(5,2), 
		OCUPACIONFINAL NUMBER(5,2), 
		TARIFA NUMBER(7,2), 
		ACTIVO NUMBER(1,0), 
		FECMODIF DATE, 
		USUARIO_ID NUMBER(7,0), 
		DESCUENTO NUMBER(5,2), 
		CONSTRAINT PK__GP_PRICINGOCUPACION PRIMARY KEY (PRICINGESPECIFICOOCUPACION_ID),
		CONSTRAINT FK_GP_PRICING_ESPEC FOREIGN KEY (PRICINGESPECIFICO_ID) REFERENCES GP_PRICING_ESPECIFICO (PRICINGESPECIFICO_ID)
	)';
  exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_ESPEC_OCUP_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate ' CREATE TABLE GP_PRICING_ESP_PUNTO_VENTA (	
		PRICINGESPPUNTOVENTA_ID NUMBER(15,0) NOT NULL, 
		PUNTOVENTA_ID NUMBER(15,0) NOT NULL, 
		PRICINGESPECIFICO_ID NUMBER(15,0) NOT NULL, 
		ACTIVO NUMBER(1,0), 
		FECMODIF DATE, 
		USUARIO_ID NUMBER(7,0), 
		CONSTRAINT GP_PRICINGESPPTOVENTA_PK PRIMARY KEY (PRICINGESPPUNTOVENTA_ID),
		CONSTRAINT FK_GP_PRICING_ESPECIFICO FOREIGN KEY (PRICINGESPECIFICO_ID) REFERENCES GP_PRICING_ESPECIFICO (PRICINGESPECIFICO_ID)
	)';
  exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_ESP_PUNTOV_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE TABLE GP_PRICING_ESP_CANAL_VENTA (
						PRICINGESPCANAL_ID NUMBER(15) NOT NULL, 
                        TIPOPTOVTA_ID NUMBER(15) NOT NULL, 
                        PRICINGESPECIFICO_ID NUMBER(15) NOT NULL , 
                        ACTIVO NUMBER(1), 
                        FECMODIF DATE,
                        USUARIO_ID NUMBER(7),
                        CONSTRAINT GP_PRICINGESPCANALVENTA_PK PRIMARY KEY (PRICINGESPCANAL_ID) ENABLE
						)';
    exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_ESP_CANAL_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_ESPEC_OCUP_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;

