DO $$
BEGIN
  CREATE SEQUENCE COBRANCA_ADC_HIST_SEQ INCREMENT BY 1 START WITH 1 NOCYCLE;
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;
/
DO $$
BEGIN
  CREATE TABLE COBRANCA_ADICIONAL_HISTORICO (
       COBRANCAADICIONALHISTORICO_ID NUMBER(15,0) NOT NULL,   
       COBRANCAADDPUNTOVENTA_ID  NUMBER(7) NOT NULL,
       CONTACORRENTEPTOVTA_ID    NUMBER(15,0),
       PUNTOVENTA_ID            NUMBER(7) NOT NULL,       
       VALOR_COBRANCA           NUMBER(7,2) NOT NULL,
       VALOR_ACUMULADO          NUMBER(7,2) NOT NULL,
       VALOR_APLICADO           NUMBER(7,2) NOT NULL,
       COBRANCA_EFETUADA        NUMBER(1) NOT NULL,
       FREQUENCIA_NA_DATA       VARCHAR2(30 BYTE),
	   DATA_REGISTRO            DATE NOT NULL,
       MOTIVO                   VARCHAR2(350 BYTE),    
       USUARIO_ID           NUMBER(7),
       PRIMARY KEY (COBRANCAADICIONALHISTORICO_ID),
       FOREIGN KEY (COBRANCAADDPUNTOVENTA_ID) REFERENCES COBRANCA_ADC_PUNTO_VENTA 
	); 
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;